# Delete

## Delete one collection

### Parameters:

| Name | Optional / Required | Data type | Description                | Default |
| ---- | ------------------- | --------- | -------------------------- | ------- |
| id   | required            | String    | One of your collection ids |         |

{% tabs %}
{% tab title="curl" %}
Example:

```
curl -X DELETE -H "X-ACCESS-TOKEN: YOUR_ACCESS_TOKEN" -d "id=omkYGduXowlyx9WF" "https://api.yumpu.com/2.0/collection.json"
```

{% endtab %}

{% tab title="PHP" %}
Example:

```php
require_once('../yumpu.php');
$yumpu = new Yumpu();
$id = 'omkYGduXowlyx9WF';
$deleteCollection = $yumpu->deleteCollection($id);
print_r($deleteCollection);
```

{% endtab %}

{% tab title="JavaScript" %}
Example:

```javascript
var yumpu = require('yumpu');
yumpu.setToken('yourToken');
var parameters = {
  id: 'omkYGduXowlyx9WF'
};
yumpu.deleteCollection(parameters, function(statusCode, document){
   console.log('Status: ' + statusCode);
   console.log(document);
});
```

{% endtab %}

{% tab title="Java" %}
Example:

```java
Yumpu y = new Yumpu("your access token");
String id = "omkYGduXowlyx9WF";
System.out.println(y.deleteCollection(id));
```

{% endtab %}
{% endtabs %}

Whatever language you are using, the result will be the same.

```javascript
{"state":"success"}
```
